NPE installing an OSGI bundle due to permisssions

Description

If Lucee is installed under an account without the required write permissions, a NPE will be thrown when Lucee tries to install an OSGI bundle into a folder it can't write to.

https://dev.lucee.org/t/tomcat-error-lucee-5-3-6-61/7083

This error should be handled with a meaningful error message

https://github.com/lucee/Lucee/blob/5.3/loader/src/main/java/lucee/loader/osgi/BundleUtil.java#L76
https://github.com/lucee/Lucee/blob/5.3/core/src/main/java/lucee/runtime/osgi/OSGiUtil.java#L182

Environment

Win Server 2019
AdoptOpenJDK ver. 11.0.7+10
Apache Tomcat/9.0.35

Activity

Show:
Pothys - MitrahSoft
June 12, 2020, 10:42 AM

Suddenly, I got this exact issue when i start the lucee via tomcat.

Assignee

Michael Offner

Reporter

Zac Spitzer

Priority

New

Labels

Fix versions

None

Affects versions

Configure